summaryrefslogtreecommitdiffstats
path: root/audio
diff options
context:
space:
mode:
author fuzzix2013-02-17 20:41:40 +0100
committer Robby Workman2013-02-23 05:27:43 +0100
commitb3a11351c3af6d62fb0913ecfd9217e33352f1ad (patch)
treedc4f3297a17de5cd19d57e9071999bd37afc8923 /audio
parentced16cf31e9547029c5f48120981c2abfe59a415 (diff)
downloadslackbuilds-b3a11351c3af6d62fb0913ecfd9217e33352f1ad.tar.gz
audio/sunvox: Added (Modular synthesizer, sampler, and sequencer/tracker)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'audio')
-rw-r--r--audio/sunvox/README2
-rw-r--r--audio/sunvox/slack-desc19
-rw-r--r--audio/sunvox/sunvox.SlackBuild82
-rw-r--r--audio/sunvox/sunvox.desktop9
-rw-r--r--audio/sunvox/sunvox.info10
-rw-r--r--audio/sunvox/sunvox.pngbin0 -> 10116 bytes
6 files changed, 122 insertions, 0 deletions
diff --git a/audio/sunvox/README b/audio/sunvox/README
new file mode 100644
index 0000000000..64e4aca422
--- /dev/null
+++ b/audio/sunvox/README
@@ -0,0 +1,2 @@
+SunVox is a small, fast, and powerful modular synthesizer
+with a pattern-based sequencer (tracker).
diff --git a/audio/sunvox/slack-desc b/audio/sunvox/slack-desc
new file mode 100644
index 0000000000..20607e312a
--- /dev/null
+++ b/audio/sunvox/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+sunvox: sunvox (Modular synthesizer, sampler and sequencer / tracker)
+sunvox:
+sunvox: SunVox is a small, fast and powerful modular synthesizer with pattern
+sunvox: based sequencer (tracker).
+sunvox:
+sunvox: SunVox is available for Windows, Linux, Mac OS X, Windows Mobile,
+sunvox: PalmOS, Maemo, Meego, iOS and Android at:
+sunvox:
+sunvox: http://www.warmplace.ru/soft/sunvox/
+sunvox:
+sunvox:
diff --git a/audio/sunvox/sunvox.SlackBuild b/audio/sunvox/sunvox.SlackBuild
new file mode 100644
index 0000000000..7d7b37879b
--- /dev/null
+++ b/audio/sunvox/sunvox.SlackBuild
@@ -0,0 +1,82 @@
+#!/bin/sh
+
+# Slackware build script for Sunvox
+
+# Copyright 2013 fuzzix <fuzzix@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=sunvox
+VERSION=${VERSION:-1.7.2b}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) echo "No ARM build available, sorry" ; exit 1 ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+install -d ${PKG}/usr/{bin,doc,share/{${PRGNAM}/instruments/,${PRGNAM}/examples/,${PRGNAM}/docs/,${PRGNAM}/icon/,applications/}}
+
+cd $TMP
+rm -rf $PRGNAM
+unzip $CWD/$PRGNAM-$VERSION.zip
+cd $PRGNAM
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+BINDIR="$TMP/$PRGNAM/$PRGNAM/linux_x86/"
+[ $ARCH == 'x86_64' ] && BINDIR="$TMP/$PRGNAM/$PRGNAM/linux_x86_64/"
+
+install -Dm755 $BINDIR/${PRGNAM} $PKG/usr/bin/
+install -Dm644 $BINDIR/sunvox_config.ini $PKG/usr/share/$PRGNAM/docs/sunvox_config.ini.example
+
+install -Dm644 $CWD/sunvox.desktop $PKG/usr/share/applications/
+install -Dm644 $CWD/sunvox.png $PKG/usr/share/sunvox/icon/
+
+for dir in instruments examples docs ; do
+ cd "$TMP/$PRGNAM/$dir/"
+ find . -type d -exec install -d "$PKG/usr/share/$PRGNAM/${dir}/"{} \;
+ find . -type f -exec install -Dm644 {,"$PKG/usr/share/$PRGNAM/${dir}/"}{} \;
+done
+
+ln -s ../share/$PRGNAM/docs/ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/audio/sunvox/sunvox.desktop b/audio/sunvox/sunvox.desktop
new file mode 100644
index 0000000000..97e5b14fd2
--- /dev/null
+++ b/audio/sunvox/sunvox.desktop
@@ -0,0 +1,9 @@
+[Desktop Entry]
+Type=Application
+Version=1.7.2b
+Name=SunVox
+Comment=A small, fast and powerful modular synthesizer with pattern based sequencer
+Exec=sunvox
+Icon=/usr/share/sunvox/icon/sunvox.png
+Terminal=false
+Categories=SDL;AudioVideo;Player;
diff --git a/audio/sunvox/sunvox.info b/audio/sunvox/sunvox.info
new file mode 100644
index 0000000000..168336c095
--- /dev/null
+++ b/audio/sunvox/sunvox.info
@@ -0,0 +1,10 @@
+PRGNAM="sunvox"
+VERSION="1.7.2b"
+HOMEPAGE="http://www.warmplace.ru/soft/sunvox/"
+DOWNLOAD="http://www.warmplace.ru/soft/sunvox/sunvox-1.7.2b.zip"
+MD5SUM="7f336cf1748426d68c7307d4e810d211"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="fuzzix"
+EMAIL="fuzzix@gmail.com"
diff --git a/audio/sunvox/sunvox.png b/audio/sunvox/sunvox.png
new file mode 100644
index 0000000000..f42495ac14
--- /dev/null
+++ b/audio/sunvox/sunvox.png
Binary files differ